Bug 857576 - Package filter name can be edited in web ui but not cli
Package filter name can be edited in web ui but not cli
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: David Davis
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 18:34 EDT by Og Maciel
Modified: 2013-09-19 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-09-14 18:34:49 EDT
Description of problem:

Seems that we have a discrepancy between the web ui and cli for package filters. The web ui allows you to edit the name of a package filter but the cli does not expose this option.

# katello -u admin -p admin filter --help
Usage:  katello <options> filter <command>
Supported Commands:
	add_package    Add a package to filter
	create         create a filter
	delete         delete a filter
	info           filter info
	list           list all filters
	remove_package Remove a package from filter

Version-Release number of selected component (if applicable):

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Create a package filter
2. Select it and click the Edit button next to its Name field
3. Save
  
Actual results:


Expected results:

I'd say that we should not let the user edit the name of filters as I believe the package filter name gets saved in Pulp and it could cause havoc if it's been used already perhaps?

Additional info:

See https://bugzilla.redhat.com/show_bug.cgi?id=815802
Comment 2 Justin Sherrill 2012-09-24 13:22:43 EDT
As of bz 805709  the name is editable.  We no longer rely on the name to be within pulp, so editing the name is fine.  Agreed we should be able to edit it in the cli too.
Comment 3 David Davis 2012-09-27 07:32:26 EDT
https://github.com/Katello/katello/pull/745

Commit SHAs:

095ff9e26b0cef7fda5cc146b8dfd6c5358cf47b
cc68f6162c9802d13e49ae1242e06683c5bb7564
3923d149ec3a20df98924a3ac990282060ce85ea
Comment 4 Mike McCune 2013-08-16 14:11:13 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 5 Mike McCune 2013-09-19 14:13:10 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.